Skip to main content
GET
/
fact-tables
/
{id}
cURL
curl https://api.growthbook.io/api/v1/fact-tables/ftb_123abc \
  -u secret_abc123DEF456:
{
  "factTable": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "owner": "<unknown>",
    "projects": [
      "<string>"
    ],
    "tags": [
      "<string>"
    ],
    "datasource": "<string>",
    "userIdTypes": [
      "<string>"
    ],
    "sql": "<string>",
    "managedBy": "",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "eventName": "<string>",
    "columns": [
      {
        "column": "<string>",
        "datatype": "number",
        "deleted": false,
        "numberFormat": "",
        "jsonFields": {},
        "name": "<string>",
        "description": "<string>",
        "alwaysInlineFilter": false,
        "isAutoSliceColumn": false,
        "autoSlices": [
          "<string>"
        ],
        "lockedAutoSlices": [
          "<string>"
        ],
        "dateCreated": "2023-11-07T05:31:56Z",
        "dateUpdated": "2023-11-07T05:31:56Z"
      }
    ],
    "columnsError": "<string>",
    "archived": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Response

200 - application/json

Success

factTable
object
required